MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026276Open CASCADE[OCCT] OCCT:Visualizationpublic2015-05-27 14:522015-10-23 20:51
Reporteromy 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformWindowsOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026276: Visualization, TKOpenGl - add missing Standard_EXPORT to matrix management methods in OpenGl_Context
DescriptionIt is necessary to add Standard_EXPORT macro to some of OpenGl_Context's methods, e.g.:
  * OpenGl_Context::ApplyProjectionMatrix();
  * OpenGl_Context::ApplyWorldViewMatrix().


Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024381closedbugmaster Visualization, TKOpenGl - revise matrices stack and usage of temporary matrices 
related to 0026403closedisk Add missing Standard_EXPORT keyword in SelectMgr headers 

-  Notes
(0041632)
git (administrator)
2015-05-28 10:27

Branch CR26276 has been created by omy.

SHA-1: 10da1cbf75ce1502102259cda1e98171e2c517eb


Detailed log of new commits:

Author: omy
Date: Thu May 28 10:27:24 2015 +0300

    0026276: Visualization, TKOpenGl - add missing Standard_EXPORT to matrix management methods in OpenGl_Context
    
    These methods are useful for applying matrices transformations.
(0041633)
omy (developer)
2015-05-28 10:29

Dear Kirill,

Please, verify the changes made by branch CR26276.
(0041634)
kgv (developer)
2015-05-28 10:57

Please check compilation, no need for regression testing.
(0041685)
git (administrator)
2015-05-28 18:19

Branch CR26276 has been updated forcibly by mkv.

SHA-1: 0cb0a3882bbdeff9d7a84a6285e5582a2f3cd775
(0041730)
mkv (tester)
2015-05-29 14:58

Dear BugMaster,
Branch CR26276 was rebased on IR-2015-05-28 branch of occt git-repository.
SHA-1: 0cb0a3882bbdeff9d7a84a6285e5582a2f3cd775
(0041731)
mkv (tester)
2015-05-29 14:58

Dear BugMaster,
Branch CR26276 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: 0cb0a3882bbdeff9d7a84a6285e5582a2f3cd775

Number of compiler warnings:

occt component :
Linux: 25 (25 on master)
Windows: 0 (0 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)
(0043507)
git (administrator)
2015-07-27 13:34

Branch CR26276 has been deleted by kgv.

SHA-1: 0cb0a3882bbdeff9d7a84a6285e5582a2f3cd775

- Related Changesets
occt: master 5e94009d
Timestamp: 2015-05-28 07:27:24
Author: omy
Committer: bugmaster
Details ] Diff ]
0026276: Visualization, TKOpenGl - add missing Standard_EXPORT to matrix management methods in OpenGl_Context

These methods are useful for applying matrices transformations.
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-05-27 14:52 omy New Issue
2015-05-27 14:52 omy Assigned To => kgv
2015-05-28 10:07 kgv Severity minor => trivial
2015-05-28 10:07 kgv Platform => Windows
2015-05-28 10:07 kgv Product Version 7.0.0 => 6.8.0
2015-05-28 10:07 kgv Summary Some OpenGl_Context functions should be exported. => Visualization, TKOpenGl - add missing Standard_EXPORT to matrix management methods in OpenGl_Context
2015-05-28 10:24 kgv Assigned To kgv => omy
2015-05-28 10:24 kgv Status new => assigned
2015-05-28 10:27 git Note Added: 0041632
2015-05-28 10:29 omy Note Added: 0041633
2015-05-28 10:29 omy Assigned To omy => kgv
2015-05-28 10:29 omy Status assigned => resolved
2015-05-28 10:29 omy Steps to Reproduce Updated View Revisions
2015-05-28 10:57 kgv Note Added: 0041634
2015-05-28 10:57 kgv Assigned To kgv => bugmaster
2015-05-28 10:57 kgv Status resolved => reviewed
2015-05-28 18:19 git Note Added: 0041685
2015-05-28 18:36 mkv Assigned To bugmaster => mkv
2015-05-29 12:18 kgv Relationship added related to 0024381
2015-05-29 14:58 mkv Note Added: 0041730
2015-05-29 14:58 mkv Note Added: 0041731
2015-05-29 14:58 mkv Assigned To mkv => bugmaster
2015-05-29 14:58 mkv Status reviewed => tested
2015-05-29 14:58 mkv Test case number => Not needed
2015-06-05 15:00 bugmaster Changeset attached => occt master 5e94009d
2015-06-05 15:00 bugmaster Status tested => verified
2015-06-05 15:00 bugmaster Resolution open => fixed
2015-07-27 13:34 git Note Added: 0043507
2015-08-17 10:05 kgv Relationship added related to 0026403
2015-08-26 11:11 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:51 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker